summaryrefslogtreecommitdiff
path: root/sof-bin-blob
diff options
context:
space:
mode:
Diffstat (limited to 'sof-bin-blob')
-rwxr-xr-xsof-bin-blob/OBTAIN.SH41
-rwxr-xr-xsof-bin-blob/PKGBUILD44
-rwxr-xr-xsof-bin-blob/README.md9
-rwxr-xr-xsof-bin-blob/sof-bin-1.9.3-1-x86_64-package_sof-firmware.log6
-rwxr-xr-xsof-bin-blob/sof-bin-1.9.3-1-x86_64-package_sof-tools.log0
5 files changed, 100 insertions, 0 deletions
diff --git a/sof-bin-blob/OBTAIN.SH b/sof-bin-blob/OBTAIN.SH
new file mode 100755
index 0000000..e28b67d
--- /dev/null
+++ b/sof-bin-blob/OBTAIN.SH
@@ -0,0 +1,41 @@
+#!/bin/dash
+
+# Variables de entrada (URL del repositorio y hash del commit como argumentos)
+REPO="${1:-https://gitlab.com/kernel-firmware/linux-firmware.git}"
+COMMIT_HASH="${2:-3981e21e654e3c139c7ca143a0119706b0e7f963}"
+
+# Variables de directorio temporal y nombre del archivo final
+TEMP_DIR=$(mktemp -d /tmp/repo-XXXX)
+ARCHIVE_NAME="repo-$(basename "$TEMP_DIR").tar.xz"
+
+# Clonar el repositorio en el directorio temporal
+git clone "$REPO" "$TEMP_DIR" || {
+ echo "Error: No se pudo clonar el repositorio."
+ exit 1
+}
+
+# Cambiar al directorio clonado
+cd "$TEMP_DIR" || exit 1
+
+# Cambiar al commit especificado
+git checkout "$COMMIT_HASH" || {
+ echo "Error: No se pudo cambiar al commit $COMMIT_HASH."
+ exit 1
+}
+
+# Verificar si el repositorio contiene un directorio .git y moverlo
+if [ -d .git ]; then
+ GIT_DIR="/tmp/git_$(basename "$TEMP_DIR")"
+ mkdir "$GIT_DIR" && mv .git "$GIT_DIR" || exit 1
+fi
+
+# Volver al directorio anterior y crear el archivo tar.xz
+cd - > /dev/null || exit 1
+tar -cJvf "$ARCHIVE_NAME" -C "$(dirname "$TEMP_DIR")" "$(basename "$TEMP_DIR")" || {
+ echo "Error: No se pudo crear el archivo $ARCHIVE_NAME."
+ exit 1
+}
+
+# Limpiar el directorio temporal
+rm -rf "$TEMP_DIR"
+echo "Archivo creado: $ARCHIVE_NAME"
diff --git a/sof-bin-blob/PKGBUILD b/sof-bin-blob/PKGBUILD
new file mode 100755
index 0000000..babde76
--- /dev/null
+++ b/sof-bin-blob/PKGBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Jan Alexander Steffens (heftig) <heftig@archlinux.org>
+
+pkgbase=sof-bin
+pkgname=(sof-firmware sof-tools)
+pkgver=1.9.3
+pkgrel=1
+pkgdesc="Sound Open Firmware"
+url="https://www.sofproject.org/"
+arch=(x86_64)
+license=(custom:BSD custom:ISC)
+makedepends=(rsync)
+source=(repo-repo-iydM.tar.xz)
+sha512sums=('08db32bd494d6ef6c98b424d983c9262b8aa29263798989071738707e23f79813e946cb8671074d6e3d86e2950d6f30a8c7d3cc4ea3ad3245297cc7475b1cafc')
+
+
+
+
+
+package_sof-firmware() {
+ options=(!strip)
+
+ cd repo-iydM
+
+ (
+ export FW_DEST="$pkgdir/lib/firmware/intel"
+ export TOOLS_DEST="$srcdir/tools/usr/bin"
+
+ mkdir -p "$FW_DEST" "$TOOLS_DEST"
+ ./install.sh v1.9.x/v1.9.3
+ )
+
+ install -Dt "$pkgdir/usr/share/licenses/$pkgname" -m644 LICENCE* Notice*
+}
+
+package_sof-tools() {
+ pkgdesc+=" - tools"
+ depends=(alsa-lib)
+
+ cd repo-iydM
+
+ mv "$srcdir"/tools/* "$pkgdir"
+
+ install -Dt "$pkgdir/usr/share/licenses/$pkgname" -m644 LICENCE* Notice*
+}
diff --git a/sof-bin-blob/README.md b/sof-bin-blob/README.md
new file mode 100755
index 0000000..62e136c
--- /dev/null
+++ b/sof-bin-blob/README.md
@@ -0,0 +1,9 @@
+Is fork of
+
+ commit bd4a6ea8be3ff1ac3582434532674bc3de7998af (HEAD, tag: 1.9.3-1)
+ Author: Jan Alexander Steffens <heftig@archlinux.org>
+ Date: Mon Dec 13 21:17:59 2021 +0000
+
+ 1.9.3-1
+
+from https://gitlab.archlinux.org/archlinux/packaging/packages/sof-bin.git \ No newline at end of file
diff --git a/sof-bin-blob/sof-bin-1.9.3-1-x86_64-package_sof-firmware.log b/sof-bin-blob/sof-bin-1.9.3-1-x86_64-package_sof-firmware.log
new file mode 100755
index 0000000..c86c988
--- /dev/null
+++ b/sof-bin-blob/sof-bin-1.9.3-1-x86_64-package_sof-firmware.log
@@ -0,0 +1,6 @@
++ for sdir in sof sof-tplg
++ ln -sT sof-v1.9.3 /build/sof-bin/pkg/sof-firmware/lib/firmware/intel/sof
++ for sdir in sof sof-tplg
++ ln -sT sof-tplg-v1.9.3 /build/sof-bin/pkg/sof-firmware/lib/firmware/intel/sof-tplg
++ rsync -a v1.9.x/sof-tplg-v1.9.3 v1.9.x/sof-v1.9.3 /build/sof-bin/pkg/sof-firmware/lib/firmware/intel/
++ rsync -a v1.9.x/tools-v1.9.3/ /build/sof-bin/src/tools/usr/bin/
diff --git a/sof-bin-blob/sof-bin-1.9.3-1-x86_64-package_sof-tools.log b/sof-bin-blob/sof-bin-1.9.3-1-x86_64-package_sof-tools.log
new file mode 100755
index 0000000..e69de29
--- /dev/null
+++ b/sof-bin-blob/sof-bin-1.9.3-1-x86_64-package_sof-tools.log